Subject: Re: CYGWIN mount points
From: [email-masked] (Corinna Vinschen)

12 Nov 1998 14:36:46 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Carlo Dapor wrote:
> 
> With B19 I was able to address /dev/fd0.
> With B20 I have no way to have the same access.
> 
> The registry for the mount points show the following settings - strangely, they are un
the key 15.0 ever since I used B19:
> 
> For a: (NT) | '/dev/fd0' (*nix)
> 
> fbinary 0x0
> fmixed  0x0
> fsilent 0x1
> native  "\\.\a:"
> unix    "/dev/fd0"
> 
> For c: (NT) | '/' (*nix)
> 
> fbinary, fmixed and fsilent   all 0x0
> native  "c:"
> unix    "/"
> 
> Does anybody have a clue or documentation on theses properties ?
> I tried different combinations, none of them worked. I am able to 'ls -l' c: and '/',
no problem. I do not succeed with '/dev/fd0' though . . .

X: is an entry for a file system, where you can save files, ls, mkdir,
etc.

\\.\X: is an entry for a raw device. This means, the complete
floppy is treated as one single file. E.g. you can make a tar
archive on a floppy as a file:

        tar cvf foo.tar ....
        cp foo.tar //a          <-- Cygwin path for drive a: as
                                    file system.

or the whole floppy _is_ the tar file:

        tar cvf /dev/fd0 ....

OK? After the last command, it's impossible, to do a 'ls' on the
floppy, because it's now only one single tar archive. This is
meaningful, if you want to copy files between a UNIX system and
Windows, not connected otherwise.

If you want to use a: as file system, you may also mount it, e.g.

        mount [-b] a: /floppy

Regards,
Corinna

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".